/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.controller;


import ChatProgramm.model.ChatModel;
import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;

import java.awt.*;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;
import java.util.logging.Logger;

/**
 *
 * @author le
 */
public class GrafikController extends MouseAdapter implements MouseMotionListener
{
  private static Logger lg = OhmLogger.getLogger();
  private ChatView view;
  private ChatModel model;
  
  public GrafikController(ChatView view, ChatModel model)
  {
    this.view = view;
    this.model = model;
  }

  
  public void registerEvents()
  {
    view.getGvZeichenflaeche().addMouseMotionListener(this);
    view.getGvZeichenflaeche().addMouseListener(this);
  }

  @Override
  public void mouseDragged(MouseEvent evt)
  {
    Point p = evt.getPoint();

    model.getGrafikDaten().addPoint(p);
    view.getGvZeichenflaeche().drawPoint();
  }

  @Override
  public void mouseReleased(MouseEvent evt)
  {
      model.getGrafikDaten().endShape();

  }
}
