/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package ChatProgramm.controller.commands;

import ChatProgramm.model.ChatModel;
import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;
import java.util.logging.Logger;

/**
 *
 * @author Js-Sc
 */
public class CommandSendV2 extends MouseAdapter implements MouseMotionListener {

    private static Logger lg = OhmLogger.getLogger();
    private ChatView view;
    private ChatModel model;

    public CommandSendV2(ChatView view, ChatModel model) {
        this.view = view;
        this.model = model;
    }

    public void registerEvents() {
        view.getGvZeichenflaeche().addMouseListener(this);
    }

    @Override
    public void mouseReleased(MouseEvent e) {
        model.sendFigur();
    }
}
